    Program a00acfe

!     A00ACF Example Program Text

!     Mark 24 Release. NAG Copyright 2012.

!     .. Use Statements ..
      Use nag_library, Only: a00acf
!     .. Implicit None Statement ..
      Implicit None
!     .. Parameters ..
      Integer, Parameter               :: nout = 6
!     .. Local Scalars ..
      Logical                          :: lmok
!     .. Executable Statements ..
      Write (nout,*) 'A00ACF Example Program Results'

      Write (nout,*)

      lmok = a00acf()

      If (lmok) Then
        Write (nout,*) 'A valid licence key is available'
      Else
        Write (nout,*) 'No valid licence key was found'
      End If

    End Program a00acfe
